summaryrefslogtreecommitdiffstats
path: root/deps/sip
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-10-14 19:29:39 +0200
committer Eric Hameleers <alien@slackware.com>2017-10-14 19:29:39 +0200
commit6fc26582abf75b6fdcc1483dcfd4022fc69e5490 (patch)
tree18a17e5d9ef30d97960f0057a379aa8f9be84158 /deps/sip
parent8ba5647299bac2cb97d76ddf301e3f02d71250da (diff)
downloadktown-6fc26582abf75b6fdcc1483dcfd4022fc69e5490.tar.gz
ktown-6fc26582abf75b6fdcc1483dcfd4022fc69e5490.tar.xz
Updated deps for the next release
Diffstat (limited to 'deps/sip')
-rwxr-xr-xdeps/sip/sip.SlackBuild20
1 files changed, 17 insertions, 3 deletions
diff --git a/deps/sip/sip.SlackBuild b/deps/sip/sip.SlackBuild
index 57b365d..f34860c 100755
--- a/deps/sip/sip.SlackBuild
+++ b/deps/sip/sip.SlackBuild
@@ -54,8 +54,11 @@ else
SLKCFLAGS="-O2"
fi
-PYTHONVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
-PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()' )
+PYTHONVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
+PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()' 2>/dev/null )
+
+PYTHON3VER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -74,10 +77,21 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+if [ -n "${PYTHON3LIB}" ]; then
+ python3 configure.py \
+ -b "/usr/bin" \
+ -d "$PYTHON3LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+
+ mv $PKG/usr/bin/sip $PKG/usr/bin/sip3
+fi
+
python configure.py \
-b "/usr/bin" \
-d "$PYTHONLIB" \
- -e "/usr/include/python$PYTHONVER" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
|| exit 1